yaz-url
Prev | Reference | Next

## Name

yaz-url — YAZ URL fetch utility

## Synopsis

`yaz-url` [-H `name:value`] [-m `method`] [-O `fname`] [-p `fname`] [-R `num`] [-u `user/password`] [-v] [-x `proxy`] [url...]

## DESCRIPTION

yaz-url is utility to get web content. It is very limited in functionality compared to programs such as curl, wget.

The options must precede the URL given on the command line, to take effect.

Fetched HTTP content is written to stdout, unless option -O is given.

## OPTIONS

-H `name:value`

  Specifies HTTP header content with name and value. This option can be given multiple times (for different names, of course).

-m `method`

  Specifies the HTTP method to be used for the next URL. Default is method "GET". However, option -p sets it to "POST".

-O `fname`

  Sets output filename for HTTP content.

-p `fname`

  Sets a file to be POSTed in the following URL.

-R `num`

  Sets maximum number of HTTP redirects to be followed. A value of zero disables follow of HTTP redirects.

-u `user/password`

  Specifies a user and a password to be used in HTTP basic authentication in the following URL fetch. The user and password must be separated by a slash (thus it is not possible to specify a user with a slash in it).

-v

  Makes yaz-url dump each HTTP request/response to stdout.

-x `proxy`

  Specifies a proxy to be used for URL fetch.

## SEE ALSO

yaz(7)

Prev | Up | Next
yaz-icu | Home | Bib-1 Attribute Set